<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class AddForeignKeysToAbExportModuleTable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('ab_export_module', function(Blueprint $table)
		{
			$table->foreign('export_id', 'fk_exm_exp')->references('id')->on('ab_export')->onUpdate('NO ACTION')->onDelete('NO ACTION');
			$table->foreign('module_id', 'fk_exm_mod')->references('id')->on('ab_module')->onUpdate('NO ACTION')->onDelete('NO ACTION');
		});
	}


	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('ab_export_module', function(Blueprint $table)
		{
			$table->dropForeign('fk_exm_exp');
			$table->dropForeign('fk_exm_mod');
		});
	}

}
